import pygame.time

class Timer:
	def __init__(self):
		self.__interval = 0
		self.__current = 0
		self.__last = 0
		self.__five = 0
		self.__nframes = 0


	def addframe(self):
		self.__current = pygame.time.get_ticks()
		self.__nframes += 1 

		if (self.__current - self.__five > 5*1000):
			print('%u frames in 5 seconds = %.1f FPS' % (self.__nframes, self.__nframes/5.0))
			self.__nframes = 0
			self.__five = self.__current


		self.__interval = self.__current - self.__last
		self.__last = self.__current

		return self.__interval


	def reset(self):
		self.__current = pygame.time.get_ticks()
		self.__nframes = 0
		self.__five = self.__current
